Bug 1043801 - [abrt] metacity-2.34.13-5.fc19: meta_bug: Process /usr/bin/metacity was killed by signal 6 (SIGABRT)
Summary: [abrt] metacity-2.34.13-5.fc19: meta_bug: Process /usr/bin/metacity was kille...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:881706b59cba63e16c11deda41c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 08:42 UTC by penguin01210
Modified: 2015-02-17 19:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:40:58 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (25.13 KB, text/plain)
2013-12-17 08:42 UTC, penguin01210
no flags Details
File: cgroup (141 bytes, text/plain)
2013-12-17 08:42 UTC, penguin01210
no flags Details
File: core_backtrace (11.09 KB, text/plain)
2013-12-17 08:42 UTC, penguin01210
no flags Details
File: dso_list (7.69 KB, text/plain)
2013-12-17 08:42 UTC, penguin01210
no flags Details
File: environ (967 bytes, text/plain)
2013-12-17 08:42 UTC, penguin01210
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-17 08:42 UTC, penguin01210
no flags Details
File: maps (40.34 KB, text/plain)
2013-12-17 08:42 UTC, penguin01210
no flags Details
File: open_fds (592 bytes, text/plain)
2013-12-17 08:42 UTC, penguin01210
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2013-12-17 08:42 UTC, penguin01210
no flags Details
File: var_log_messages (427 bytes, text/plain)
2013-12-17 08:42 UTC, penguin01210
no flags Details

Description penguin01210 2013-12-17 08:42:33 UTC
Description of problem:
Using Metacity with LXDE on Fedora 19, when compositing is enabled with dconf-editor, Metacity crashes on minimizing (animation?) with the following message:
Bug in window manager: Unexpected X error: BadAlloc (insufficient resources for operation) serial 9229 error_code 11 request_code 12 minor_code 0)
Aborted (core dumped)

I am currently using the binary NVidia driver on an Nvidia 320M (Apple Macbook Pro 7,1 in CSM/Bios emulation mode)

Version-Release number of selected component:
metacity-2.34.13-5.fc19

Additional info:
reporter:       libreport-2.1.9
.~lock.event_log#: ,tbialas,TBMacBookPro,17.12.2013 09:42,file:///home/tbialas/.config/libreoffice/4;
backtrace_rating: 4
cmdline:        metacity
crash_function: meta_bug
executable:     /usr/bin/metacity
kernel:         3.11.10-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #2 meta_bug at core/util.c:398
 #3 x_error_handler at core/errors.c:247
 #5 handle_error at xcb_io.c:213
 #6 handle_response at xcb_io.c:325
 #8 XGetImage at GetImage.c:75
 #9 graphics_sync at core/effects.c:326
 #10 effects_draw_box_animation_timeout at core/effects.c:424

Potential duplicate: bug 728093

Comment 1 penguin01210 2013-12-17 08:42:39 UTC
Created attachment 837583 [details]
File: backtrace

Comment 2 penguin01210 2013-12-17 08:42:41 UTC
Created attachment 837584 [details]
File: cgroup

Comment 3 penguin01210 2013-12-17 08:42:43 UTC
Created attachment 837585 [details]
File: core_backtrace

Comment 4 penguin01210 2013-12-17 08:42:45 UTC
Created attachment 837586 [details]
File: dso_list

Comment 5 penguin01210 2013-12-17 08:42:46 UTC
Created attachment 837587 [details]
File: environ

Comment 6 penguin01210 2013-12-17 08:42:49 UTC
Created attachment 837588 [details]
File: limits

Comment 7 penguin01210 2013-12-17 08:42:52 UTC
Created attachment 837589 [details]
File: maps

Comment 8 penguin01210 2013-12-17 08:42:54 UTC
Created attachment 837590 [details]
File: open_fds

Comment 9 penguin01210 2013-12-17 08:42:56 UTC
Created attachment 837591 [details]
File: proc_pid_status

Comment 10 penguin01210 2013-12-17 08:42:58 UTC
Created attachment 837592 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-01-09 20:53:03 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-02-17 19:40:58 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.